Name:           aopalliance
Version:        1.0
Release:        %mkrel 10
Epoch:          0
Summary:        Java/J2EE AOP standards
License:        Public Domain
Group:          Development/Java
URL:            http://aopalliance.sourceforge.net/
BuildArch:      noarch
# cvs -d:pserver:anonymous@aopalliance.cvs.sourceforge.net:/cvsroot/aopalliance login
# password empty
# cvs -z3 -d:pserver:anonymous@aopalliance.cvs.sourceforge.net:/cvsroot/aopalliance export -r HEAD aopalliance
Source0:        aopalliance-src.tar.gz
Source1:        http://repo1.maven.org/maven2/aopalliance/aopalliance/1.0/aopalliance-1.0.pom
Source2:        %{name}-MANIFEST.MF

BuildRequires:  ant
Requires:       java

%description
Aspect-Oriented Programming (AOP) offers a better solution to many
problems than do existing technologies, such as EJB.  AOP Alliance
intends to facilitate and standardize the use of AOP to enhance
existing middleware environments (such as J2EE), or development
environements (e.g. Eclipse).  The AOP Alliance also aims to ensure
interoperability between Java/J2EE AOP implementations to build a
larger AOP community.

%package javadoc
Summary:        API documentation for %{summary}
Group:          Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}

%build
export CLASSPATH=
export OPT_JAR_LIST=:
%{ant} -Dbuild.sysclasspath=only jar javadoc

# Inject OSGi manifest required by Eclipse.
jar umf %{SOURCE2} build/%{name}.jar

%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -p -m 644 build/%{name}.jar %{buildroot}%{_javadir}/
install -p -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0:1.0-10.mga4
+ Revision: 536470
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 dmorgan <dmorgan> 0:1.0-9.mga4
+ Revision: 484331
- Rebuild against nwe javapackages

* Fri Sep 20 2013 dmorgan <dmorgan> 0:1.0-8.mga4
+ Revision: 482600
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 0:1.0-7.mga4
+ Revision: 481206
- Add OSGI manifest

* Fri Jan 11 2013 umeabot <umeabot> 0:1.0-4.mga3
+ Revision: 345630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 0:1.0-3.mga3
+ Revision: 326649
- Build with Java7

* Sun Sep 09 2012 dmorgan <dmorgan> 0:1.0-2.mga3
+ Revision: 291288
- Use fedora spec file layout

* Fri Aug 05 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 131892
- Make it build with java 6 instead of java 5
- Clean spec file

  + gil <gil>
    - imported package aopalliance


* Tue Jun 14 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm